Create an ETH unstake requestpost https://your-protect-instance.example.com/api/rest/v1/requests/staking/eth_unstakeThis endpoint will create an ETH unstake requestBody ParamsfromAddressIdstringrequiredthe ID of the address to unstakeamountstringrequiredAmount to unstake in wei. For EIP-7002 withdrawals, must be a multiple of 1 Gwei (1e9 wei). For legacy withdrawals, must be a multiple of 32 ETH (32e18 wei). In both cases leave empty or set to 0 to withdraw the full balance and trigger a full validator exitethValidatorIDsarray of stringsList of ETH validator internal IDs to unstake. For legacy withdrawals, optional — multiple validators can be specified. For EIP-7002 withdrawals, exactly one validator ID must be provided.ethValidatorIDsADD stringcommentstringA reconciliation notes can be given when initiating a request and this will be included in transaction history.externalRequestIdstringIdentifier for the request in the user's system. This must be unique.gasLimitstringA target gas limit for the request. If not provided, one will be automatically computed. Only applies to 'EIP7002' unstake method.gasPriceLimitstringA hard limit for the gas price for the request. If not provided, one will be automatically computed. Only applies to 'EIP7002' unstake method.contractFeeLimitstringMax fee in wei paid to the EIP-7002 withdrawal contract's dynamic anti-spam mechanism. Leave empty to use the default fee, which is sufficient in almost all cases. Only increase if a withdrawal is stuck due to contract congestion and must execute urgently. Ignored for legacy withdrawals.unstakeMethodstringWithdrawal method to use. 'EIP7002' uses the Pectra on-chain withdrawal contract triggered from the execution layer and is the recommended method. 'LEGACY' uses pre-Pectra signed exit messages and is deprecated. Defaults to LEGACY if not specified.Responses 200A successful response. 400Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing) 401Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource 403Forbidden: indicates that the server understands the request but refuses to authorize it 404Not Found: indicates that the server cannot find the requested resource 500Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request 503Service Unavailable: indicates that the server is not ready to handle the request. defaultAn unexpected error response.Updated about 2 months ago Create a simple outgoing request (using addresses)Create a fiat provider deposit requestDid this page help you?YesNo